Subject: Re: [StGit PATCH] compressed import v3

From: Clark Williams <[email-masked]>
Date: Sat, 14 Jun 2008 10:49:03 -0500

Karl Hasselström wrote:
> On 2008-06-13 09:53:49 -0500, Clark Williams wrote:
> 
>> I'm interested to hear how you'd condense the code in
>> __gethandleandname().
> 
> Like this, for example:
> 
>     import bz2, gzip
>     for copen, ext in [(gzip.open, '.gz'), (bz2.BZ2File, '.bz2')]:
>         try:
>             f = copen(filename)
>             f.read(1)
>             f.seek(0)
>             return (f, __mkpatchname(filename, ext))
>         except IOError, e:
>             pass
> 
> If you don't mind, I'll just fix that up directly in your patch. (I
> also took the liberty to rename the function to __get_handle_and_name,
> since that's more consistent with other functions in that file.)
> 

Ah, that's very nice. Your changes work for me.

Clark